#!/bin/sh

echo "*************************************"
echo "  Welcome to Mac4Lin v1.0 Installer  "
echo "*************************************"
echo
echo
echo

echo "Installing Mac4Lin UI..."
tar -xzf GTK/Mac4Lin_GTK_v1.0_RC.tar.gz -C ~/.themes/
tar -xzf GTK/Mac4Lin_GTK_Graphite_v1.0_RC.tar.gz -C ~/.themes/
tar -xzf GTK/Mac4Lin_MacMenu_v1.0_RC.tar.gz -C ~/.themes/
tar -xzf GTK/Mac4Lin_MacMenu_Graphite_v1.0_RC.tar.gz -C ~/.themes/
tar -xzf GTK/Mac4Lin_Meta_v1.0_RC.tar.gz -C ~/.themes/

gconftool-2 --type string --set /desktop/gnome/interface/gtk_theme "Mac4Lin_GTK_v1.0_RC"
gconftool-2 --type string --set /apps/metacity/general/theme "Mac4Lin_GTK_v1.0_RC"
gconftool-2 --set /apps/metacity/general/button_layout --type string "close,minimize,maximize:menu"
gconftool-2 --type boolean --set /desktop/gnome/interface/menus_have_icons "true"
gconftool-2 --type string --set /desktop/gnome/interface/toolbar_style "icons"

echo "Done!"
echo 

echo "Installing Mac4Lin Icons..."
tar -xzf Icons/Mac4Lin_Icons_v1.0_RC.tar.gz -C ~/.icons/
gconftool-2 --type string --set /desktop/gnome/interface/icon_theme "Mac4Lin_Icons_v1.0_RC"


echo "Done!"
echo 

echo "Installing Mac4Lin Cursors..."
tar -xzf Cursors/Mac4Lin_Cursors_v1.0_RC.tar.gz -C ~/.icons/

echo "Done! Please enable the cursor theme from Appearances."
echo 

echo "Installing Mac4Lin Emerald Window Borders..."
tar -xzf Emerald/Mac4Lin_Emerald_v1.0_RC.tar.gz -C ~/.emerald/themes
tar -xzf Emerald/Mac4Lin_Graphite_Emerald_v1.0_RC.tar.gz -C ~/.emerald/themes
tar -xzf Emerald/Mac4Lin_Emerald_v1.0_RC.tar.gz -C ~/.emerald/theme

echo "Done!"
echo 

echo "Installing Mac4Lin misc. componenets..."
mkdir -p ~/.purple/plugins
cp Pidgin/pidgin_awn.so ~/.purple/plugins/
mkdir -p ~/.xmms/Skins
mkdir -p ~/.bmp/Skins
cp MP/Mac4Lin_MP_v1.0_RC.tar.gz ~/.xmms/Skins/
cp MP/Mac4Lin_MP_v1.0_RC.tar.gz ~/.bmp/Skins/
gconftool-2 --type boolean --set /apps/gnome-session/options/show_splash_screen FALSE
#gconftool-2 --type string --set /apps/panel/toplevels/top_panel_screen0/background/image "~/.themes/Mac4Lin_GTK_v1.0_RC/gtk-2.0/Panel/panel-bg-trans.png"
mkdir -p ~/.fonts
tar -xzf Fonts/fonts.tar.gz -C ~/.fonts/
mkdir -p ~/Mac4Lin_v1.0_RC/GRUB
mkdir -p ~/Mac4Lin_v1.0_RC/Usplash
mkdir -p ~/Mac4Lin_v1.0_RC/AWN
mkdir -p ~/Mac4Lin_v1.0_RC/Mozilla
mkdir -p ~/Mac4Lin_v1.0_RC/Rhythmbox_AWN

cp GRUB/*.* ~/Mac4Lin_v1.0_RC/GRUB/
cp Usplash/*.* ~/Mac4Lin_v1.0_RC/Usplash/

cp AWN/*.* ~/Mac4Lin_v1.0_RC/AWN
cp Mozilla/*.* ~/Mac4Lin_v1.0_RC/Mozilla
cp Rhythmbox_AWN/*.* ~/Mac4Lin_v1.0_RC/Rhythmbox_AWN

echo
echo "The following componenets require root access. You can opt out of installing them as they can be manually installed as well."
echo "Would you like to install these components [y/n]? "
read ans

if [ $ans = y -o $ans = Y ]; then

echo "Installing Mac4Lin GDM Login Theme and Sounds..."
sudo tar -xzf GDM/Mac4Lin_GDM_v1.0_RC.tar.gz -C /usr/share/gdm/themes/
sudo tar -xzf Sounds/Mac4Lin_Sounds_v1.0_RC.tar.gz -C /usr/share/sounds/
sudo tar -xzf Sounds/Mac4Lin_Pidgin-Sounds_v1.0_RC.tar.gz -C /usr/share/sounds/

echo
echo "Setting GDM Theme"
echo 

THEME_DIR=/usr/share/gdm/themes
THEMES=Mac4Lin_GDM_v1.0_RC
N=`echo $THEMES | wc -w`
sudo sed -i.old s/GraphicalTheme=.*/GraphicalTheme=`echo $THEMES | cut -d ' ' -f $N`/  /etc/gdm/gdm.conf

THEME_DIR=~/.themes
THEMES=Mac4Lin_GTK_v1.0_RC
N=`echo $THEMES | wc -w`
sudo sed -i.old s/GtkTheme=.*/GtkTheme=`echo $THEMES | cut -d ' ' -f $N`/  /etc/gdm/gdm.conf
echo
echo "Done!"
echo "Please assign the sounds to events manually. All sounds are saved in /usr/share/sounds"
echo 
echo

echo "Installing Mac4Lin Backgrounds..."
sudo cp Wallpapers/*.* /usr/share/backgrounds
gconftool-2 --type string --set /desktop/gnome/background/picture_filename "/usr/share/backgrounds/Mac4Lin_Wallpaper1.jpg"

echo "Done!"
echo


echo
echo "Installing Pidgin theme..."
mkdir -p ~/Mac4Lin_v1.0_RC/Backup
tar -cf ~/Mac4Lin_v1.0_RC/Backup/pidgin_backup.tar.gz /usr/share/pixmaps/pidgin/
sudo tar -xzf Pidgin/Mac4Lin_Pidgin_v1.0_RC.tar.gz -C /usr/share/pixmaps/

echo "Done!"
echo "The current Pidgin theme has been backed up as ~/Mac4Lin_v1.0_RC/Backup/pidgin_backup.tar.gz"
echo "Note that Mac4Lin_v1.0_RC will be in your home folder"
echo "Please enable the Pidgin AWN plugin from within Pidgin and place a launcher for Pidgin on AWN"
echo

else

echo "Components requiring root access not installed. Kindly install them manually"

fi

echo "****************************************"
echo "     Mac4Lin installation complete!"
echo "  Please refer to the documentation for"
echo "   advanced installation instructions"
echo "   (for installing usplash, grub etc.)"
echo " For best results, log off and log back"
echo "   in for all changes to be effected"
echo "****************************************"

echo
key=""
echo -n "Press any key to continue..."
stty -icanon
key=`dd count=1 2>/dev/null`
stty icanon
echo
